Package org.apache.storm.hdfs.spout

## Class TextFileReader.Offset

- java.lang.Object
- - org.apache.storm.hdfs.spout.TextFileReader.Offset

- All Implemented Interfaces:
    `Cloneable`, `Comparable<org.apache.storm.hdfs.spout.FileOffset>`
  Enclosing class:
    TextFileReader

      public static class TextFileReader.Offset
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Offset​(long byteOffset, long lineNumber)` |
    `Offset​(String offset)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TextFileReader.Offset` | `clone()` |
    `int` | `compareTo​(org.apache.storm.hdfs.spout.FileOffset o)` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `boolean` | `isNextOffset​(org.apache.storm.hdfs.spout.FileOffset rhs)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Offset

          public Offset​(long byteOffset,
                        long lineNumber)

    - #### Offset

          public Offset​(String offset)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isNextOffset

          public boolean isNextOffset​(org.apache.storm.hdfs.spout.FileOffset rhs)

    - #### compareTo

          public int compareTo​(org.apache.storm.hdfs.spout.FileOffset o)

      Specified by:
        `compareTo` in interface `Comparable<org.apache.storm.hdfs.spout.FileOffset>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### clone

          public TextFileReader.Offset clone()

      Overrides:
        `clone` in class `Object`